Page MenuHomePhabricator

In manual-mode, shortcut key does not open preview if it has been closed
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

What is the problem?

If I am in manual-mode and I close the Preview pane, if I press the shortcut key it does not reopen the pane. Instead, it reloads the page in the background.

This is in contrast to the regular mode of RTP, where the shortcut key always opens the preview pane if it is closed.

Steps to reproduce problem
  1. Start editing a page large page (e.g. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Cat&action=edit) and open RTP.
  2. Reload the page until you see the manual reload message (T304568). You may need to throttle your connection via devtools.
  3. Close the Preview pane by clicking on the "Preview" button on the top right.
  4. Press the shortcut key (alt+) or Cmd + Opt + ))

Expected behavior: The Preview pane reopens.
Observed behavior: The Preview pane remains closed.

Environment

Browser: Firefox 91
Wiki(s): https://en.wikipedia.beta.wmflabs.org MediaWiki 1.39.0-alpha (df2b1ee) 10:01, 26 April 2022.
Editor: WikiEditor 0.5.3 (45a8a07) 06:19, 25 April 2022.

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptApr 26 2022, 10:56 AM
JMcLeod_WMF set the point value for this task to 2.Apr 27 2022, 11:36 AM
JMcLeod_WMF moved this task from New & TBD Tickets to Estimated on the Community-Tech board.

Change 785113 had a related patch set uploaded (by Samwilson; author: Samwilson):

[mediawiki/extensions/WikiEditor@master] Realtime Preview: Make whole manual-loading bar clickable

https://gerrit.wikimedia.org/r/785113

Change 785113 merged by jenkins-bot:

[mediawiki/extensions/WikiEditor@master] Realtime Preview: Make whole manual-loading bar clickable

https://gerrit.wikimedia.org/r/785113

dom_walden added a subscriber: NRodriguez.

Since this bug was raised, we have deliberately made it so the shortcut key does not open the RTP pane in any circumstance.

Moving into Product Sign-off so @NRodriguez can make the final product call as to whether this is ok.

See also T307805#7917185.